Menu
-
The BasicsThe Basics
-
AccountAccount
-
TextwordsTextwords
-
ContactsContacts
-
MessagesMessages
-
ContestsContests
-
CouponsCoupons
-
ShortlinksShortlinks
-
AnalyticsAnalytics
-
Deactivated NumbersDeactivated Numbers
-
WebhooksWebhooks
-
Webhook EventsWebhook Events
-
PopupsPopups
Text Numbers
Text numbers are the actual phone numbers (short codes or long codes) that are assigned to textwords on your account. These are the numbers that people receive your text messages from and what they send your textwords to in order to opt in. A single text number can be assigned to one or more textwords. The following actions can be performed on this resource...
Retrieve All Text Numbers
Retrieves all text numbers associated with active textwords in your account. While most SlickText accounts will have a single text number used across all textwords, some may have more than one. By default, you will get the first 20 text numbers, but you can modify this with the limit and offset values in the query string. The max limit for a single request is 10,000.
GET https://api.slicktext.com/v1/textnumbers?limit=30&offset=10
{
"meta": {
"limit": 20,
"offset": 0,
"total": 2,
"self": "https://api.slicktext.com/v1/textnumbers/"
},
"links": {
"self": "http://api.slicktext.com/v1/textnumbers/"
},
"textNumbers": [
{
"id": 169649,
"number": 31996,
"exclusive": 0,
"mmsEnabled": 1,
"isShortCode": 1
},
{
"id": 370382,
"number": +15555555555,
"exclusive": 1,
"mmsEnabled": 1,
"isShortCode": 0
}
]
}
Retrieve a Specific Text Number
Retrieves a specific text number with the id equal to {id}.
GET https://api.slicktext.com/v1/textnumbers/{id}
{
"links": {
"self": "https://api.slicktext.com/v1/textnumbers/169649"
},
"textNumber": {
"id": 169649,
"number": 31996,
"exclusive": 0,
"mmsEnabled": 1,
"isShortCode": 1
}
}